> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.affinda.com/feedback

```json
{
  "path": "/reference/limits",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# API volume, file size, and rate limits

> Reference for Affinda's API rate limits, file size and page limits, supported file types, and concurrent upload thresholds for parsing and extraction.

In order to maintain a stable and cost-efficient platform, Affinda enforces certain volume limits (rate limits) and file limits for customers.

## Volume Limits

There is no limit to the number of documents you can submit to the Affinda API. However, you will be limited to **30 documents per minute** that will be processed by our high priority queue. If you would like to specify which queue to use, you can set the `lowPriority` parameter during document submission. Note that if you explicitly set `lowPriority` to `false`, and if you have exceeded the high priority queue rate limit, you will receive a 429 (Too Many Requests) response.

### Scenario 1

You use Affinda to prepopulate a web form based on a document uploaded by a user. During peak periods you need to parse as many as 40 documents per minute.

You should send documents to Affinda without specifying `lowPriority`. By default, almost all of your documents will be processed in our high-priority queue. If some occasional documents fall into our low-priority queue, they will still likely be parsed in a timely manner.

### Scenario 2

You would like to parse 100,000 documents as quickly as possible.

You should send all of the documents to Affinda without specifying `lowPriority`. You probably want to set the `wait` parameter in the request to `false`, meaning that the request will return immediately without waiting for the document to parse. The results can be retrieved on completion using [<u>webhooks</u>](https://docs.affinda.com/docs/webhooks) or by retrieving the result with a GET request.

### Scenario 3

You have the requirements of both scenarios 1 and 2. i.e., you have ongoing requests by users that should be returned immediately and occasional bulk uploads that can be processed asynchronously.

You simply need to ensure that all of your bulk uploads are submitted with `lowpriority` equal to `true`. This way, your high-priority rate limit will be reserved for requests made by users on your app.

## File Limits

### File Size

The maximum file size that can be uploaded to Affinda is **20MB**. This is intended to be in line with popular email providers.\
Note: Resume upload file size is limited to 5MB.

### Page Limit

The default page limit for all customers is **20 pages**. This limit may be increased on a case-by-case basis by request. Please get in contact with your Affinda account manager for details.
